#include "init.h"
#include <jni.h>
#include <jsi/jsi.h>

using namespace facebook;

extern "C" JNIEXPORT void JNICALL
Java_com_humand_demo_modules_JSIInstaller_JSIInstallerModule_nativeInstall(
    JNIEnv * /*env*/, jobject /*thiz*/, jlong runtimePtr) {
  auto *rt = reinterpret_cast<jsi::Runtime *>(runtimePtr);
  if (!rt)
    return;
  humand::native_cpp::install(*rt);
}
